#include "../../../hUGETracker/hUGEDriver.h"
#include <stddef.h>

static const unsigned char order_cnt = 2;

static const unsigned char P0[] = {
    DN(Fs5,2,0xC1A),
    DN(___,0,0x000),
    DN(Fs5,2,0xC0B),
    DN(A_5,2,0xC1A),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_5,2,0xC1A),
    DN(A_5,2,0xC1A),
    DN(Fs5,2,0xC1A),
    DN(___,0,0x000),
    DN(E_5,2,0xC1A),
    DN(___,0,0x000),
    DN(D_5,2,0xC1A),
    DN(___,0,0x000),
    DN(E_5,2,0xC1A),
    DN(D_5,2,0xC1A),
    DN(E_5,2,0xC1A),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_5,2,0xC1A),
    DN(___,0,0x000),
    DN(E_5,2,0xC1A),
    DN(Fs5,2,0xC1A),
    DN(E_5,2,0xC1A),
    DN(D_5,2,0xC1A),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(D_5,2,0xC1A),
    DN(E_5,2,0xC1A),
    DN(Fs5,2,0xC1A),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(A_5,2,0xC1A),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_5,2,0xC1A),
    DN(___,0,0x000),
    DN(D_6,2,0xC1A),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_5,2,0xC1A),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_5,2,0xC1A),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_5,2,0xC1A),
    DN(E_5,2,0xC1A),
    DN(___,0,0x000),
    DN(D_5,2,0xC1A),
    DN(___,0,0x000),
    DN(B_4,2,0xC1A),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P1[] = {
    DN(Fs3,2,0xC08),
    DN(___,0,0x000),
    DN(D_3,2,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(D_3,2,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(D_3,2,0xC08),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(D_3,2,0xC08),
    DN(___,0,0x000),
    DN(E_3,2,0xC08),
    DN(E_3,2,0xC04),
    DN(E_3,2,0xC08),
    DN(E_3,2,0xC04),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(E_3,2,0xC08),
    DN(E_3,2,0xC04),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(E_3,2,0xC08),
    DN(___,0,0x000),
    DN(E_3,2,0xC04),
    DN(E_3,2,0xC08),
    DN(___,0,0x000),
    DN(E_3,2,0xC04),
    DN(Fs3,2,0xC08),
    DN(Fs3,2,0xC04),
    DN(Fs3,2,0xC08),
    DN(Fs3,2,0xC04),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(Fs3,2,0xC08),
    DN(Fs3,2,0xC04),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(Fs3,2,0xC08),
    DN(Fs3,2,0xC04),
    DN(Fs3,2,0xC08),
    DN(Fs3,2,0xC04),
    DN(Fs3,2,0xC08),
    DN(Fs3,2,0xC04),
    DN(E_3,2,0xC08),
    DN(E_3,2,0xC04),
    DN(E_3,2,0xC08),
    DN(E_3,2,0xC04),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(E_3,2,0xC08),
    DN(E_3,2,0xC04),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(E_3,2,0xC08),
    DN(___,0,0x000),
    DN(E_3,2,0xC04),
    DN(E_3,2,0xC08),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P2[] = {
    DN(D_4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(D_4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(D_4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(D_4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(E_4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(E_4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(E_4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(E_4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(Fs4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(Fs4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(Fs4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(Fs4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(E_4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(E_4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(E_4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(E_4,14,0xC09),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
};
static const unsigned char P3[] = {
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};

static const unsigned char* const order1[] = {P0};
static const unsigned char* const order2[] = {P1};
static const unsigned char* const order3[] = {P2};
static const unsigned char* const order4[] = {P3};

static const hUGEDutyInstr_t duty_instruments[] = {
    {8,64,240,0,128},
    {8,128,240,0,128},
    {8,192,240,0,128},
    {8,0,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
};
static const hUGEWaveInstr_t wave_instruments[] = {
    {0,32,0,0,128},
    {0,32,1,0,128},
    {0,32,2,0,128},
    {0,32,3,0,128},
    {0,32,4,0,128},
    {0,32,5,0,128},
    {0,32,6,0,128},
    {0,32,0,0,128},
    {0,32,1,0,128},
    {0,32,2,0,128},
    {0,32,3,0,128},
    {0,32,4,0,128},
    {0,32,5,0,128},
    {0,32,6,0,128},
    {0,32,7,0,128},
};
static const hUGENoiseInstr_t noise_instruments[] = {
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
};

static const unsigned char waves[] = {
    165,215,201,225,188,154,118,49,12,186,222,96,27,202,3,147,
    240,225,210,195,180,165,150,135,120,105,90,75,60,45,30,15,
    253,236,219,202,185,168,151,134,121,104,87,70,53,36,19,2,
    222,254,220,186,154,169,135,119,136,135,101,86,84,50,16,18,
    171,205,239,237,203,160,18,62,220,186,188,222,254,220,50,16,
    255,238,221,204,187,170,153,136,119,102,85,68,51,34,17,0,
    255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,
    121,188,222,239,255,238,220,185,117,67,33,16,0,17,35,69,
    56,154,8,103,214,133,236,18,214,187,35,124,53,119,218,234,
    58,215,50,56,133,24,176,134,41,227,131,89,116,107,10,85,
    94,132,62,226,3,70,8,142,233,85,78,52,234,193,99,53,
    195,141,173,147,180,226,194,28,142,40,184,97,23,136,3,163,
    92,172,149,174,200,128,118,36,112,138,167,167,73,4,78,188,
    114,94,23,67,125,154,37,221,204,238,112,115,152,11,219,131,
    12,32,210,4,181,125,60,118,205,27,131,182,115,168,173,9,
    228,78,221,198,165,38,2,7,232,156,144,197,216,74,81,102,
};

const hUGESong_t bownlyTheWhite2Song = {6, &order_cnt, order1, order2, order3,order4, duty_instruments, wave_instruments, noise_instruments, NULL, waves};
