#include "../../../hUGETracker/hUGEDriver.h"
#include <stddef.h>

static const unsigned char order_cnt = 2;

static const unsigned char P0[] = {
    DN(A_4,1,0xC02),
    DN(A_4,1,0xC04),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(A_4,1,0xC02),
    DN(D_5,1,0xC02),
    DN(D_5,1,0xC04),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(D_5,1,0xC02),
    DN(B_4,1,0xC02),
    DN(B_4,1,0xC04),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_4,1,0xC02),
    DN(E_4,1,0xC02),
    DN(E_4,1,0xC04),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_4,1,0xC02),
};
static const unsigned char P1[] = {
    DN(E_6,2,0xC08),
    DN(___,0,0x000),
    DN(E_6,2,0xC04),
    DN(___,0,0x000),
    DN(E_6,2,0xC08),
    DN(___,0,0x000),
    DN(E_6,2,0xC04),
    DN(___,0,0x000),
    DN(E_6,2,0xC08),
    DN(___,0,0x000),
    DN(E_6,2,0xC08),
    DN(___,0,0x000),
    DN(D_6,2,0xC08),
    DN(___,0,0x000),
    DN(Cs6,2,0xC08),
    DN(___,0,0x000),
    DN(Cs6,2,0xC08),
    DN(___,0,0x000),
    DN(D_6,2,0xC08),
    DN(___,0,0x000),
    DN(Cs6,2,0xC04),
    DN(___,0,0x000),
    DN(A_5,2,0xC08),
    DN(___,0,0x000),
    DN(Cs6,2,0xC04),
    DN(___,0,0x000),
    DN(B_5,2,0xC04),
    DN(___,0,0x000),
    DN(B_5,2,0xC08),
    DN(___,0,0x000),
    DN(A_5,2,0xC04),
    DN(___,0,0x000),
    DN(Cs6,2,0xC08),
    DN(___,0,0x000),
    DN(B_5,2,0xC08),
    DN(___,0,0x000),
    DN(Cs6,2,0xC04),
    DN(___,0,0x000),
    DN(B_5,2,0xC08),
    DN(___,0,0x000),
    DN(B_5,2,0xC04),
    DN(___,0,0x000),
    DN(Cs6,2,0xC08),
    DN(___,0,0x000),
    DN(B_5,2,0xC04),
    DN(___,0,0x000),
    DN(A_5,2,0xC08),
    DN(___,0,0x000),
    DN(B_5,2,0xC08),
    DN(___,0,0x000),
    DN(A_5,2,0xC04),
    DN(___,0,0x000),
    DN(B_5,2,0xC04),
    DN(___,0,0x000),
    DN(A_5,2,0xC02),
    DN(___,0,0x000),
    DN(B_5,2,0xC02),
    DN(___,0,0x000),
    DN(E_5,2,0xC08),
    DN(___,0,0x000),
    DN(Fs5,2,0xC08),
    DN(___,0,0x000),
    DN(Gs5,2,0xC08),
    DN(___,0,0x000),
};
static const unsigned char P2[] = {
    DN(A_4,15,0xC0F),
    DN(A_4,15,0xC08),
    DN(A_4,15,0xC04),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(A_5,15,0xC0F),
    DN(A_5,15,0xC08),
    DN(A_5,15,0xC04),
    DN(___,0,0x000),
    DN(A_4,15,0xC0F),
    DN(A_4,15,0xC08),
    DN(D_5,15,0xC0F),
    DN(D_5,15,0xC08),
    DN(D_5,15,0xC04),
    DN(___,0,0x000),
    DN(D_6,15,0xC0F),
    DN(D_6,15,0xC08),
    DN(D_5,15,0xC0F),
    DN(D_5,15,0xC08),
    DN(B_4,15,0xC0F),
    DN(B_4,15,0xC08),
    DN(B_4,15,0xC04),
    DN(___,0,0x000),
    DN(B_5,15,0xC0F),
    DN(B_5,15,0xC08),
    DN(B_5,15,0xC04),
    DN(___,0,0x000),
    DN(B_4,15,0xC0F),
    DN(B_4,15,0xC08),
    DN(B_4,15,0xC04),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_5,15,0xC0F),
    DN(B_5,15,0xC08),
    DN(B_5,15,0xC04),
    DN(___,0,0x000),
    DN(B_4,15,0xC0F),
    DN(B_4,15,0xC08),
    DN(E_4,15,0xC0F),
    DN(E_4,15,0xC08),
    DN(E_4,15,0xC04),
    DN(___,0,0x000),
    DN(E_5,15,0xC0F),
    DN(E_5,15,0xC08),
    DN(E_4,15,0xC0F),
    DN(E_4,15,0xC08),
    DN(E_4,15,0xC04),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_5,15,0xC0F),
    DN(E_5,15,0xC08),
    DN(E_5,15,0xC04),
    DN(___,0,0x000),
};
static const unsigned char P3[] = {
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};

static const unsigned char* const order1[] = {P0};
static const unsigned char* const order2[] = {P1};
static const unsigned char* const order3[] = {P2};
static const unsigned char* const order4[] = {P3};

static const hUGEDutyInstr_t duty_instruments[] = {
    {8,64,240,0,128},
    {8,128,240,0,128},
    {8,192,240,0,128},
    {8,0,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
};
static const hUGEWaveInstr_t wave_instruments[] = {
    {0,32,0,0,128},
    {0,32,1,0,128},
    {0,32,2,0,128},
    {0,32,3,0,128},
    {0,32,4,0,128},
    {0,32,5,0,128},
    {0,32,6,0,128},
    {0,32,0,0,128},
    {0,32,1,0,128},
    {0,32,2,0,128},
    {0,32,3,0,128},
    {0,32,4,0,128},
    {0,32,5,0,128},
    {0,32,6,0,128},
    {0,32,7,0,128},
};
static const hUGENoiseInstr_t noise_instruments[] = {
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
    {240,0,0,0,0},
};

static const unsigned char waves[] = {
    165,215,201,225,188,154,118,49,12,186,222,96,27,202,3,147,
    240,225,210,195,180,165,150,135,120,105,90,75,60,45,30,15,
    253,236,219,202,185,168,151,134,121,104,87,70,53,36,19,2,
    222,254,220,186,154,169,135,119,136,135,101,86,84,50,16,18,
    171,205,239,237,203,160,18,62,220,186,188,222,254,220,50,16,
    255,238,221,204,187,170,153,136,119,102,85,68,51,34,17,0,
    255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,
    121,188,222,239,255,238,220,185,117,67,33,16,0,17,35,69,
    80,158,226,67,164,59,65,235,108,75,197,19,226,189,215,186,
    93,82,131,222,5,148,8,181,29,52,60,228,73,56,204,200,
    184,28,152,17,197,198,173,69,40,35,166,37,55,55,202,65,
    123,113,45,5,53,85,88,211,50,109,88,118,237,166,215,116,
    168,124,199,227,37,62,228,195,44,52,58,227,216,7,19,224,
    38,62,54,35,122,99,222,33,227,106,221,14,183,87,82,150,
    217,172,194,145,58,216,142,82,215,138,52,183,66,81,123,101,
    37,194,0,229,232,161,147,224,107,168,162,125,228,149,54,166,
};

const hUGESong_t bownlyTwilightDriveSong = {6, &order_cnt, order1, order2, order3,order4, duty_instruments, wave_instruments, noise_instruments, NULL, waves};
