#include "../../../hUGETracker/hUGEDriver.h"
#include <stddef.h>

static const unsigned char order_cnt = 2;

static const unsigned char P0[] = {
    DN(D_6,1,0x000),
    DN(___,0,0x000),
    DN(As5,7,0x703),
    DN(___,0,0x000),
    DN(D_5,1,0x000),
    DN(___,0,0x000),
    DN(D_5,2,0x000),
    DN(___,0,0x000),
    DN(D_6,1,0x000),
    DN(___,0,0x000),
    DN(D_6,2,0x000),
    DN(___,0,0x000),
    DN(D_5,1,0x000),
    DN(___,0,0x000),
    DN(D_5,2,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x000),
    DN(___,0,0x000),
    DN(C_6,2,0x000),
    DN(___,0,0x000),
    DN(C_6,3,0x000),
    DN(___,0,0x000),
    DN(C_6,4,0x000),
    DN(___,0,0x000),
    DN(C_6,5,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Ds6,1,0x000),
    DN(___,0,0x000),
    DN(Ds6,2,0x000),
    DN(___,0,0x000),
    DN(G_5,1,0x000),
    DN(___,0,0x000),
    DN(G_5,2,0x000),
    DN(___,0,0x000),
    DN(Ds6,1,0x000),
    DN(___,0,0x000),
    DN(Ds6,2,0x000),
    DN(___,0,0x000),
    DN(G_5,1,0x000),
    DN(___,0,0x000),
    DN(G_5,2,0x000),
    DN(___,0,0x000),
    DN(Cs6,1,0x000),
    DN(___,0,0x000),
    DN(Cs6,2,0x000),
    DN(___,0,0x000),
    DN(Cs6,3,0x000),
    DN(___,0,0x000),
    DN(Cs6,4,0x000),
    DN(___,0,0x000),
    DN(Cs6,5,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P1[] = {
    DN(As5,7,0x047),
    DN(___,0,0x047),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(F_5,1,0x000),
    DN(___,0,0x000),
    DN(F_5,2,0x000),
    DN(___,0,0x000),
    DN(As5,1,0x000),
    DN(___,0,0x000),
    DN(As5,2,0x000),
    DN(___,0,0x000),
    DN(F_5,1,0x000),
    DN(___,0,0x000),
    DN(F_5,2,0x000),
    DN(___,0,0x000),
    DN(Gs5,1,0x000),
    DN(___,0,0x000),
    DN(Gs5,2,0x000),
    DN(___,0,0x000),
    DN(Gs5,3,0x000),
    DN(___,0,0x000),
    DN(Gs5,4,0x000),
    DN(___,0,0x000),
    DN(Gs5,5,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(As5,1,0x000),
    DN(___,0,0x000),
    DN(As5,2,0x000),
    DN(___,0,0x000),
    DN(Ds5,1,0x000),
    DN(___,0,0x000),
    DN(Ds5,2,0x000),
    DN(___,0,0x000),
    DN(As5,1,0x000),
    DN(___,0,0x000),
    DN(As5,2,0x000),
    DN(___,0,0x000),
    DN(Ds5,1,0x000),
    DN(___,0,0x000),
    DN(Ds5,2,0x000),
    DN(___,0,0x000),
    DN(Gs5,1,0x000),
    DN(___,0,0x000),
    DN(Gs5,2,0x000),
    DN(___,0,0x000),
    DN(Gs5,3,0x000),
    DN(___,0,0x000),
    DN(Gs5,4,0x000),
    DN(___,0,0x000),
    DN(Gs5,5,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P2[] = {
    DN(As4,1,0x000),
    DN(___,0,0x000),
    DN(As3,1,0x703),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(As4,1,0x703),
    DN(___,0,0x000),
    DN(C_5,1,0x000),
    DN(___,0,0x000),
    DN(D_5,1,0x703),
    DN(___,0,0x000),
    DN(As4,1,0x000),
    DN(___,0,0x000),
    DN(Gs4,1,0x703),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Gs3,1,0x703),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(G_3,1,0x703),
    DN(___,0,0x000),
    DN(Gs3,1,0x000),
    DN(___,0,0x000),
    DN(G_3,1,0x703),
    DN(___,0,0x000),
    DN(F_3,1,0x000),
    DN(___,0,0x000),
    DN(Ds3,1,0x703),
    DN(___,0,0x000),
    DN(Ds4,1,0x000),
    DN(___,0,0x000),
    DN(Ds3,1,0x703),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(Ds4,1,0x703),
    DN(___,0,0x000),
    DN(F_4,1,0x000),
    DN(___,0,0x000),
    DN(G_4,1,0x703),
    DN(___,0,0x000),
    DN(Ds4,1,0x000),
    DN(___,0,0x000),
    DN(Cs4,1,0x703),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Cs3,1,0x703),
    DN(___,0,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(C_4,1,0x703),
    DN(___,0,0x000),
    DN(Cs4,1,0x000),
    DN(___,0,0x000),
    DN(F_4,1,0x703),
    DN(___,0,0x000),
    DN(Gs4,1,0x000),
    DN(___,0,0x000),
    DN(As4,1,0x703),
    DN(___,0,0x000),
};
static const unsigned char P3[] = {
    DN(C_7,2,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x703),
    DN(___,0,0x000),
    DN(C_7,2,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x703),
    DN(___,0,0x000),
    DN(C_7,2,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x703),
    DN(___,0,0x000),
    DN(C_7,2,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x703),
    DN(___,0,0x000),
    DN(C_7,2,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x703),
    DN(___,0,0x000),
    DN(C_7,2,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x703),
    DN(___,0,0x000),
    DN(C_7,2,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x703),
    DN(___,0,0x000),
    DN(C_7,2,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x000),
    DN(___,0,0x000),
    DN(C_6,1,0x703),
    DN(___,0,0x000),
};

static const unsigned char itNoiseSP1[] = {
    DN(___,0,0x000),
    DN(46,0,0x000),
    DN(45,0,0x000),
    DN(45,0,0x000),
    DN(43,5,0x000),
    DN(43,0,0x000),
    DN(43,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP2[] = {
    DN(___,0,0x000),
    DN(44,0,0x000),
    DN(45,0,0x000),
    DN(44,0,0x000),
    DN(43,5,0x000),
    DN(40,0,0x000),
    DN(41,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP3[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP4[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP5[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP6[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP7[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP8[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP9[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP10[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP11[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP12[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP13[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP14[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char itNoiseSP15[] = {
    DN(___,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(36,5,0x000),
    DN(36,0,0x000),
    DN(36,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,1,0x000),
};
static const unsigned char* const order1[] = {P0};
static const unsigned char* const order2[] = {P1};
static const unsigned char* const order3[] = {P2};
static const unsigned char* const order4[] = {P3};

static const hUGEDutyInstr_t duty_instruments[] = {
    {8,70,178,0,192},
    {8,64,114,0,128},
    {8,93,82,0,192},
    {8,64,70,0,128},
    {8,64,36,0,128},
    {8,64,241,0,128},
    {8,153,242,0,192},
    {8,192,241,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
    {8,128,240,0,128},
};
static const hUGEWaveInstr_t wave_instruments[] = {
    {0,32,0,0,128},
    {0,32,1,0,128},
    {0,64,2,0,128},
    {0,32,2,0,128},
    {0,32,4,0,128},
    {0,32,5,0,128},
    {0,32,6,0,128},
    {0,32,7,0,128},
    {0,32,8,0,128},
    {0,32,9,0,128},
    {0,32,10,0,128},
    {0,32,11,0,128},
    {0,32,12,0,128},
    {0,32,13,0,128},
    {0,32,14,0,128},
};
static const hUGENoiseInstr_t noise_instruments[] = {
    {129,itNoiseSP1,96,0,0},
    {97,itNoiseSP2,0,0,0},
    {240,itNoiseSP3,0,0,0},
    {240,itNoiseSP4,0,0,0},
    {240,itNoiseSP5,0,0,0},
    {240,itNoiseSP6,0,0,0},
    {240,itNoiseSP7,0,0,0},
    {240,itNoiseSP8,0,0,0},
    {240,itNoiseSP9,0,0,0},
    {240,itNoiseSP10,0,0,0},
    {240,itNoiseSP11,0,0,0},
    {240,itNoiseSP12,0,0,0},
    {240,itNoiseSP13,0,0,0},
    {240,itNoiseSP14,0,0,0},
    {240,itNoiseSP15,0,0,0},
};

static const unsigned char waves[] = {
    136,137,158,233,136,170,167,83,29,237,17,0,1,117,62,237,
    153,154,175,249,136,187,184,100,15,255,255,95,255,255,255,255,
    0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,
    0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,
    0,1,18,35,52,69,86,103,120,137,154,171,188,205,222,239,
    254,220,186,152,118,84,50,16,18,52,86,120,154,188,222,255,
    122,205,219,117,33,19,104,189,220,151,65,1,71,156,221,184,
    15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
    254,252,250,248,246,244,242,240,242,244,246,248,250,252,254,255,
    254,221,204,187,170,153,136,119,138,189,241,36,87,138,189,238,
    132,17,97,237,87,71,90,173,206,163,23,121,221,32,3,71,
    97,17,10,81,204,98,152,213,12,119,54,224,53,93,170,8,
    133,135,116,35,130,150,112,19,14,188,112,1,131,133,188,167,
    55,4,84,187,52,224,119,144,140,22,76,28,230,186,166,199,
    0,84,61,87,205,146,165,160,41,37,144,45,6,1,181,6,
    145,90,28,144,29,16,70,174,224,174,48,58,67,104,174,238,
};

const hUGESong_t engineSloopygoopResults = {5, &order_cnt, order1, order2, order3,order4, duty_instruments, wave_instruments, noise_instruments, NULL, waves};
